This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 185502 - Values for MALLOC_CHECK_ env variable differs in different documentation
Values for MALLOC_CHECK_ env variable differs in different documentation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 05:03 EST by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 06:43:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2006-03-15 05:03:35 EST
Description of problem:

Discrepancy between the release notes and man page for malloc


Version-Release number of selected component (if applicable):
glibc-2.3.6-0.fc3.1

How reproducible:
Every time

Steps to Reproduce:
1. View file:///usr/share/doc/HTML/index.html with a browser
2. Look for the section on glibc
3. Run "man malloc"
  
Actual results:
Release notes claim for malloc_check:
    *

      0 — Do not generate an error message, and do not kill the program
    *

      1 — Generate an error message, but do not kill the program
    *

      2 — Do not generate an error message, but kill the program
    *

      3 — Generate an error message and kill the program

man malloc claims for malloc_check:
 If  MALLOC_CHECK_  is  set  to  0,  any  detected heap corruption is silently
       ignored; if set to 1, a diagnostic is printed on stderr; if set to  2,
       abort() is called immediately. 

Expected results:


Additional info:
Comment 1 Jakub Jelinek 2006-03-15 12:07:58 EST
rpm -qf /usr/share/man/man3/malloc.3.gz
noarch/man-pages-1.67-8.noarch.rpm
Comment 2 Ivana Varekova 2006-03-16 06:43:04 EST
Thank you for your bug report, the malloc man page is fixed in man-pages-2.25-2.

Note You need to log in before you can comment on or make changes to this bug.